const blocks = (extFacePanels) => ([{
        "opcode": "BLOCK_1635638745534",
        "blockType": "number",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {
            "kapi": {
                "type": "fieldMenu",
                "defaultValue": "3",
                "menu": "BLOCK_1635639695559_KAPI"
            },
            "yol": {
                "type": "fieldMenu",
                "defaultValue": "0",
                "menu": "BLOCK_1635638745534_YOL"
            }
        },
        "branchCount": 0,
        "platform": [
            "mblockpc",
            "mblockweb"
        ],
        "codes": {
            "arduinoc": {
                "code": `getCizgiIzleyen2(/*{kapi}*/,/*{yol}*/)`,
                "sections": {
                    "declare": `int getCizgiIzleyen2(int kapi,int yol){delayMicroseconds(50);int a0=analogRead(arbotPort[kapi][0]);int a1=analogRead(arbotPort[kapi][1]);int durum=0;if(yol==0){if(a0>=980)a0=1; else a0=0;if(a1>=980) a1=1; else a1=0;if(a0==0 && a1==0) durum=0;else if(a0==0 && a1==1) durum=1;else if(a0==1 && a1==0) durum=2;else if(a0==1 && a1==1) durum=3;}if(yol==1){if(a0>=980)a0=0; else a0=1;if(a1>=980) a1=0; else a1=1;if(a0==0 && a1==0) durum=0;else if(a0==0 && a1==1) durum=1;else if(a0==1 && a1==0) durum=2;else if(a0==1 && a1==1) durum=3;}return durum;delay(10);}`
                }
            }
        },
        "handler": this.funcs.BLOCK_1635638745534
    },
    {
        "opcode": "BLOCK_1635540102941",
        "blockType": "number",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {
            "kapi": {
                "type": "fieldMenu",
                "defaultValue": "0",
                "menu": "BLOCK_1635538770953_KAPI"
            }
        },
        "branchCount": 0,
        "platform": [
            "mblockpc",
            "mblockweb"
        ],
        "codes": {
            "arduinoc": {
                "code": `getDistance(arbotPort[/*{kapi}*/][0],arbotPort[/*{kapi}*/][0])`,
                "sections": {
                    "declare": `float getDistance(int trig,int echo){pinMode(trig,OUTPUT);digitalWrite(trig,LOW);delayMicroseconds(2);digitalWrite(trig,HIGH);delayMicroseconds(10);digitalWrite(trig,LOW);pinMode(echo, INPUT);int mesafe=int(pulseIn(echo,HIGH,30000)/58.0);if(mesafe==0)mesafe=601; delay(10); return mesafe; }`
                }
            }
        },
        "handler": this.funcs.BLOCK_1635540102941
    },
    {
        "opcode": "BLOCK_1635583636415",
        "blockType": "number",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {
            "kapi": {
                "type": "fieldMenu",
                "defaultValue": "3",
                "menu": "BLOCK_1635639695559_KAPI"
            }
        },
        "branchCount": 0,
        "platform": [
            "mblockpc",
            "mblockweb"
        ],
        "codes": {
            "arduinoc": {
                "code": `analogRead(arbotPort[/*{kapi}*/][0])`
            }
        },
        "handler": this.funcs.BLOCK_1635583636415
    },
    {
        "opcode": "BLOCK_1635583948239",
        "blockType": "number",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {
            "kapi": {
                "type": "fieldMenu",
                "defaultValue": "3",
                "menu": "BLOCK_1635639695559_KAPI"
            },
            "ldrNo": {
                "type": "fieldMenu",
                "defaultValue": "0",
                "menu": "BLOCK_1635583948239_LDRNO"
            }
        },
        "branchCount": 0,
        "platform": [
            "mblockpc",
            "mblockweb"
        ],
        "codes": {
            "arduinoc": {
                "code": `analogRead(arbotPort[/*{kapi}*/][/*{ldrNo}*/])`
            }
        },
        "handler": this.funcs.BLOCK_1635583948239
    },
    {
        "opcode": "BLOCK_1635588145168",
        "blockType": "number",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {
            "kapi": {
                "type": "fieldMenu",
                "defaultValue": "3",
                "menu": "BLOCK_1635639695559_KAPI"
            }
        },
        "branchCount": 0,
        "platform": [
            "mblockpc",
            "mblockweb"
        ],
        "codes": {
            "arduinoc": {
                "code": `analogRead(arbotPort[/*{kapi}*/][1])`
            }
        },
        "handler": this.funcs.BLOCK_1635588145168
    },
    {
        "opcode": "BLOCK_1635588412505",
        "blockType": "number",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {
            "kapi": {
                "type": "fieldMenu",
                "defaultValue": "3",
                "menu": "BLOCK_1635639695559_KAPI"
            }
        },
        "branchCount": 0,
        "platform": [
            "mblockpc",
            "mblockweb"
        ],
        "codes": {
            "arduinoc": {
                "code": `analogRead(arbotPort[/*{kapi}*/][0])`
            }
        },
        "handler": this.funcs.BLOCK_1635588412505
    },
    {
        "opcode": "BLOCK_1635588580135",
        "blockType": "number",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {
            "kapi": {
                "type": "fieldMenu",
                "defaultValue": "3",
                "menu": "BLOCK_1635639695559_KAPI"
            }
        },
        "branchCount": 0,
        "platform": [
            "mblockpc",
            "mblockweb"
        ],
        "codes": {
            "arduinoc": {
                "code": `analogRead(arbotPort[/*{kapi}*/][0])`
            }
        },
        "handler": this.funcs.BLOCK_1635588580135
    },
    {
        "opcode": "BLOCK_1635588618582",
        "blockType": "number",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {
            "kapi": {
                "type": "fieldMenu",
                "defaultValue": "3",
                "menu": "BLOCK_1635639695559_KAPI"
            }
        },
        "branchCount": 0,
        "platform": [
            "mblockpc",
            "mblockweb"
        ],
        "codes": {
            "arduinoc": {
                "code": `analogRead(arbotPort[/*{kapi}*/][0])`
            }
        },
        "handler": this.funcs.BLOCK_1635588618582
    },
    {
        "opcode": "BLOCK_1635588734508",
        "blockType": "number",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {
            "kapi": {
                "type": "fieldMenu",
                "defaultValue": "3",
                "menu": "BLOCK_1635639695559_KAPI"
            },
            "sensor": {
                "type": "fieldMenu",
                "defaultValue": "2",
                "menu": "BLOCK_1635588734508_SENSOR"
            }
        },
        "branchCount": 0,
        "platform": [
            "mblockpc",
            "mblockweb"
        ],
        "codes": {
            "arduinoc": {
                "code": `analogRead(arbotPort[/*{kapi}*/][0])`
            }
        },
        "handler": this.funcs.BLOCK_1635588734508
    },
    {
        "opcode": "BLOCK_1635588830890",
        "blockType": "number",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {
            "kapi": {
                "type": "fieldMenu",
                "defaultValue": "3",
                "menu": "BLOCK_1635639695559_KAPI"
            },
            "sensor": {
                "type": "fieldMenu",
                "defaultValue": "ptc",
                "menu": "BLOCK_1635588830890_SENSOR"
            }
        },
        "branchCount": 0,
        "platform": [
            "mblockpc",
            "mblockweb"
        ],
        "codes": {
            "arduinoc": {
                "code": `analogRead(arbotPort[/*{kapi}*/][0])`
            }
        },
        "handler": this.funcs.BLOCK_1635588830890
    },
    {
        "opcode": "BLOCK_1635584299311",
        "blockType": "number",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {
            "kapi": {
                "type": "fieldMenu",
                "defaultValue": "0",
                "menu": "BLOCK_1635538770953_KAPI"
            }
        },
        "branchCount": 0,
        "platform": [
            "mblockpc",
            "mblockweb"
        ],
        "codes": {
            "arduinoc": {
                "code": `digitalRead(arbotPort[/*{kapi}*/][0])`,
                "sections": {
                    "setup": `pinMode(/*{kapi}*/,INPUT);`
                }
            }
        },
        "handler": this.funcs.BLOCK_1635584299311
    },
    {
        "opcode": "BLOCK_1635588899864",
        "blockType": "number",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {
            "kapi": {
                "type": "fieldMenu",
                "defaultValue": "3",
                "menu": "BLOCK_1635639695559_KAPI"
            }
        },
        "branchCount": 0,
        "platform": [
            "mblockpc",
            "mblockweb"
        ],
        "codes": {
            "arduinoc": {
                "code": `analogRead(arbotPort[/*{kapi}*/][0])`
            }
        },
        "handler": this.funcs.BLOCK_1635588899864
    },
    {
        "opcode": "BLOCK_1635589039080",
        "blockType": "number",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {
            "kapi": {
                "type": "fieldMenu",
                "defaultValue": "3",
                "menu": "BLOCK_1635639695559_KAPI"
            }
        },
        "branchCount": 0,
        "platform": [
            "mblockpc",
            "mblockweb"
        ],
        "codes": {
            "arduinoc": {
                "code": `getToprakNem(/*{kapi}*/)`,
                "sections": {
                    "declare": `int getToprakNem(int kapi){int deger = analogRead(arbotPort[kapi][0]);deger = map(deger,0,1023,0,100);return deger;}`
                }
            }
        },
        "handler": this.funcs.BLOCK_1635589039080
    },
    {
        "opcode": "BLOCK_1635628054494",
        "blockType": "number",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {
            "kapi": {
                "type": "fieldMenu",
                "defaultValue": "3",
                "menu": "BLOCK_1635639695559_KAPI"
            }
        },
        "branchCount": 0,
        "platform": [
            "mblockpc",
            "mblockweb"
        ],
        "codes": {
            "arduinoc": {
                "code": `analogRead(arbotPort[/*{kapi}*/][0])`
            }
        },
        "handler": this.funcs.BLOCK_1635628054494
    },
    {
        "opcode": "BLOCK_1635634014938",
        "blockType": "number",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {
            "kapi": {
                "type": "fieldMenu",
                "defaultValue": "0",
                "menu": "BLOCK_1635538770953_KAPI"
            },
            "gorev": {
                "type": "fieldMenu",
                "defaultValue": "0",
                "menu": "BLOCK_1635634014938_GOREV"
            }
        },
        "branchCount": 0,
        "platform": [
            "mblockpc",
            "mblockweb"
        ],
        "codes": {
            "arduinoc": {
                "code": `getDht11/*{kapi}*/(/*{kapi}*/,/*{gorev}*/)`,
                "sections": {
                    "include": [
                        "\"src/arbot_dht11.h\""
                    ],
                    "declare": `dht11 DHT11_sensor/*{kapi}*/;int getDht11/*{kapi}*/(int kapi,int gorev){int deger=0;int chk;chk = DHT11_sensor/*{kapi}*/.read(arbotPort[/*{kapi}*/][0]);if(gorev==0) deger=(float)DHT11_sensor/*{kapi}*/.humidity;else if(gorev==0) deger=(float)DHT11_sensor/*{kapi}*/.humidity;else if(gorev==1) deger=(float)DHT11_sensor/*{kapi}*/.temperature;else if(gorev==2) deger=(float)DHT11_sensor/*{kapi}*/.kelvin();else if(gorev==3) deger=(float)DHT11_sensor/*{kapi}*/.fahrenheit();else if(gorev==4) deger=(float)DHT11_sensor/*{kapi}*/.dewPoint();return deger;delay(10);}`
                }
            }
        },
        "handler": this.funcs.BLOCK_1635634014938
    },
    {
        "opcode": "BLOCK_1635794929220",
        "blockType": "label",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {},
        "branchCount": 0,
        "platform": [
            "mblockpc",
            "mblockweb"
        ],
        "handler": this.funcs.BLOCK_1635794929220
    },
    {
        "opcode": "BLOCK_1635794951413",
        "blockType": "boolean",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {
            "kapi": {
                "type": "fieldMenu",
                "defaultValue": "0",
                "menu": "BLOCK_1635841951910_KAPI"
            },
            "buton": {
                "type": "fieldMenu",
                "defaultValue": "0",
                "menu": "BLOCK_1635794951413_BUTON"
            }
        },
        "branchCount": 0,
        "platform": [
            "mblockpc",
            "mblockweb"
        ],
        "codes": {
            "arduinoc": {
                "code": `getButonbilgi/*{kapi}*/(arbotPort[/*{kapi}*/][/*{buton}*/])==1`,
                "sections": {
                    "declare": `bool getButonbilgi/*{kapi}*/(int kapi){if(/*{kapi}*/<=2){return digitalRead(kapi); delay(100);}else{return analogRead(kapi); delay(100);}}`,
                    "setup": `if(/*{kapi}*/<=2){pinMode(arbotPort[/*{kapi}*/][/*{buton}*/], INPUT);}`
                }
            }
        },
        "handler": this.funcs.BLOCK_1635794951413
    },
    {
        "opcode": "BLOCK_1635795402245",
        "blockType": "boolean",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {
            "kapi": {
                "type": "fieldMenu",
                "defaultValue": "0",
                "menu": "BLOCK_1635841951910_KAPI"
            }
        },
        "branchCount": 0,
        "platform": [
            "mblockpc",
            "mblockweb"
        ],
        "codes": {
            "arduinoc": {
                "code": `getReedRelay/*{kapi}*/(arbotPort[/*{kapi}*/][0])==1`,
                "sections": {
                    "declare": `bool getReedRelay/*{kapi}*/(int kapi){if(/*{kapi}*/<=2){return digitalRead(kapi);}else{return analogRead(kapi); delay(100);}}`,
                    "setup": `if(/*{kapi}*/<=2){pinMode(arbotPort[/*{kapi}*/][0], INPUT);}`
                }
            }
        },
        "handler": this.funcs.BLOCK_1635795402245
    },
    {
        "opcode": "BLOCK_1635795694610",
        "blockType": "boolean",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {
            "kapi": {
                "type": "fieldMenu",
                "defaultValue": "0",
                "menu": "BLOCK_1635841951910_KAPI"
            }
        },
        "branchCount": 0,
        "platform": [
            "mblockpc",
            "mblockweb"
        ],
        "codes": {
            "arduinoc": {
                "code": `getHallEffect/*{kapi}*/(arbotPort[/*{kapi}*/][0])==0`,
                "sections": {
                    "declare": `bool getHallEffect/*{kapi}*/(int kapi){if(/*{kapi}*/<=2){return digitalRead(kapi);}else{return analogRead(kapi); delay(100);}}`,
                    "setup": `if(/*{kapi}*/<=2){pinMode(arbotPort[/*{kapi}*/][0], INPUT);}`
                }
            }
        },
        "handler": this.funcs.BLOCK_1635795694610
    },
    {
        "opcode": "BLOCK_1635873026479",
        "blockType": "boolean",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {
            "kapi": {
                "type": "fieldMenu",
                "defaultValue": "3",
                "menu": "BLOCK_1635639695559_KAPI"
            }
        },
        "branchCount": 0,
        "platform": [
            "mblockpc",
            "mblockweb"
        ],
        "codes": {
            "arduinoc": {
                "code": `analogRead(arbotPort[/*{kapi}*/][0])==1\r`
            }
        },
        "handler": this.funcs.BLOCK_1635873026479
    },
    {
        "opcode": "BLOCK_1635859008498",
        "blockType": "label",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {},
        "branchCount": 0,
        "platform": [
            "mblockpc",
            "mblockweb"
        ],
        "handler": this.funcs.BLOCK_1635859008498
    },
    {
        "opcode": "BLOCK_1635860400829",
        "blockType": "command",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {
            "aci": {
                "type": "fieldMenu",
                "defaultValue": "0",
                "menu": "BLOCK_1635860400829_ACI"
            }
        },
        "branchCount": 0,
        "platform": [
            "mblockpc",
            "mblockweb"
        ],
        "codes": {
            "arduinoc": {
                "code": `servoMotor(/*{aci}*/);`,
                "sections": {
                    "include": [
                        "\"src/Servo.h\""
                    ],
                    "declare": `Servo myservo;void servoMotor(double aci){ myservo.attach(arbotPort[2][0]); myservo.write(aci); delay(10); }`
                }
            }
        },
        "handler": this.funcs.BLOCK_1635860400829
    },
    {
        "opcode": "BLOCK_1651836002588",
        "blockType": "command",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {
            "aci": {
                "type": "number",
                "defaultValue": 0
            }
        },
        "branchCount": 0,
        "platform": [
            "mblockpc",
            "mblockweb"
        ],
        "codes": {
            "arduinoc": {
                "code": `servoMotor(/*{aci}*/);`,
                "sections": {
                    "include": [
                        "\"src/Servo.h\""
                    ],
                    "declare": `Servo myservo;void servoMotor(double aci){ myservo.attach(arbotPort[2][0]); myservo.write(aci); delay(10); }`
                }
            }
        },
        "handler": this.funcs.BLOCK_1651836002588
    },
    {
        "opcode": "BLOCK_1635859304253",
        "blockType": "command",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {
            "kapi": {
                "type": "fieldMenu",
                "defaultValue": "0",
                "menu": "BLOCK_1635538770953_KAPI"
            },
            "durum": {
                "type": "fieldMenu",
                "defaultValue": "1",
                "menu": "BLOCK_1635859304253_DURUM"
            }
        },
        "branchCount": 0,
        "platform": [
            "mblockpc",
            "mblockweb"
        ],
        "codes": {
            "arduinoc": {
                "code": `digitalWrite(arbotPort[/*{kapi}*/][0],/*{durum}*/);`,
                "sections": {
                    "setup": `pinMode((arbotPort[/*{kapi}*/][0]),OUTPUT);`
                }
            }
        },
        "handler": this.funcs.BLOCK_1635859304253
    },
    {
        "opcode": "BLOCK_1635859055172",
        "blockType": "command",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {
            "kapi": {
                "type": "fieldMenu",
                "defaultValue": "0",
                "menu": "BLOCK_1635538770953_KAPI"
            },
            "durum": {
                "type": "fieldMenu",
                "defaultValue": "1",
                "menu": "BLOCK_1635859304253_DURUM"
            }
        },
        "branchCount": 0,
        "platform": [
            "mblockpc",
            "mblockweb"
        ],
        "codes": {
            "arduinoc": {
                "code": `digitalWrite(arbotPort[/*{kapi}*/][0],/*{durum}*/);`,
                "sections": {
                    "setup": `pinMode((arbotPort[/*{kapi}*/][0]),OUTPUT);`
                }
            }
        },
        "handler": this.funcs.BLOCK_1635859055172
    }
]);

export default blocks;