const blocks = (extFacePanels) => ([{
        "opcode": "BLOCK_1635541470768",
        "blockType": "command",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {
            "frekans": {
                "type": "fieldMenu",
                "defaultValue": "4800",
                "menu": "BLOCK_1635541470768_FREKANS"
            }
        },
        "branchCount": 0,
        "platform": [
            "mblockpc",
            "mblockweb"
        ],
        "codes": {
            "arduinoc": {
                "sections": {
                    "setup": `Serial.begin(/*{frekans}*/);`
                }
            }
        },
        "handler": this.funcs.BLOCK_1635541470768
    },
    {
        "opcode": "BLOCK_1635541373225",
        "blockType": "command",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {
            "mesaj": {
                "type": "string",
                "defaultValue": "Merhaba!"
            }
        },
        "branchCount": 0,
        "platform": [
            "mblockpc",
            "mblockweb"
        ],
        "codes": {
            "arduinoc": {
                "code": `Serial.println(/*{mesaj}*/);`
            }
        },
        "handler": this.funcs.BLOCK_1635541373225
    },
    {
        "opcode": "BLOCK_1636549892721",
        "blockType": "string",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {},
        "branchCount": 0,
        "platform": [
            "mblockpc",
            "mblockweb"
        ],
        "codes": {
            "arduinoc": {
                "code": `getBlueToothSensorMetin()`,
                "sections": {
                    "declare": `String blueToothGelenMetin ;\r\n String getBlueToothSensorMetin(){String metin;\r\n     char veri;\r\n     while (Serial.available()){delay(10);\r\n         veri= Serial.read();\r\n     if (veri == '#') {break;}\r\n         metin += veri;\r\n      } if (metin.length() > 0) {return metin;}}`
                }
            }
        },
        "handler": this.funcs.BLOCK_1636549892721
    },
    {
        "opcode": "BLOCK_1636573209328",
        "blockType": "string",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {},
        "branchCount": 0,
        "platform": [
            "mblockpc",
            "mblockweb"
        ],
        "codes": {
            "arduinoc": {
                "code": `getBlueToothSensorKarakter()`,
                "sections": {
                    "declare": ` char getBlueToothSensorKarakter(){char veri;if(Serial.available() > 0){delay(10); veri= Serial.read();return veri; }}\r`
                }
            }
        },
        "handler": this.funcs.BLOCK_1636573209328
    },
    {
        "opcode": "BLOCK_1635793820237",
        "blockType": "label",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {},
        "branchCount": 0,
        "platform": [
            "mblockpc",
            "mblockweb"
        ],
        "handler": this.funcs.BLOCK_1635793820237
    },
    {
        "opcode": "BLOCK_1635793859735",
        "blockType": "string",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {
            "metin": {
                "type": "string",
                "defaultValue": "değer"
            }
        },
        "branchCount": 0,
        "platform": [
            "mblockpc",
            "mblockweb"
        ],
        "codes": {
            "arduinoc": {
                "code": "String(/*{metin}*/)"
            }
        },
        "handler": this.funcs.BLOCK_1635793859735
    },
    {
        "opcode": "BLOCK_1635793963401",
        "blockType": "string",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {
            "karakter": {
                "type": "string",
                "defaultValue": "a"
            }
        },
        "branchCount": 0,
        "platform": [
            "mblockpc",
            "mblockweb"
        ],
        "codes": {
            "arduinoc": {
                "code": `char(/*{karakter}*/[0])`
            }
        },
        "handler": this.funcs.BLOCK_1635793963401
    },
    {
        "opcode": "BLOCK_1635794376432",
        "blockType": "label",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {},
        "branchCount": 0,
        "platform": [
            "mblockpc",
            "mblockweb"
        ],
        "handler": this.funcs.BLOCK_1635794376432
    },
    {
        "opcode": "BLOCK_1635794668931",
        "blockType": "boolean",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {
            "kapi": {
                "type": "fieldMenu",
                "defaultValue": "0",
                "menu": "BLOCK_1635538770953_KAPI"
            },
            "tus": {
                "type": "fieldMenu",
                "defaultValue": "16750695",
                "menu": "BLOCK_1635794668931_TUS"
            }
        },
        "branchCount": 0,
        "platform": [
            "mblockpc",
            "mblockweb"
        ],
        "codes": {
            "arduinoc": {
                "code": `getIRGelenVeri() == /*{tus}*/`,
                "sections": {
                    "include": [
                        "\"src/IRremote.h\""
                    ],
                    "declare": `IRrecv IRalici/*{kapi}*/(arbotPort[/*{kapi}*/][0]); long IRGelenVeri; \r\nlong getIRGelenVeri(){decode_results IRveri/*{kapi}*/; if (IRalici/*{kapi}*/.decode(&IRveri/*{kapi}*/)){IRGelenVeri=IRveri/*{kapi}*/.value;IRalici/*{kapi}*/.resume();} return IRGelenVeri; delay(200);}`,
                    "setup": `IRalici/*{kapi}*/.enableIRIn();`
                }
            }
        },
        "handler": this.funcs.BLOCK_1635794668931
    },
    {
        "opcode": "BLOCK_1647977426938",
        "blockType": "command",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {
            "arbot_metin_degisken": {
                "type": "string",
                "defaultValue": "Merhaba!"
            }
        },
        "branchCount": 0,
        "platform": [],
        "codes": {
            "arduinoc": {
                "code": `arbot_metin_degisken = /*{arbot_metin_degisken}*/ ;`,
                "sections": {
                    "declare": `String arbot_metin_degisken;`
                }
            }
        },
        "handler": this.funcs.BLOCK_1647977426938
    },
    {
        "opcode": "BLOCK_1647977611098",
        "blockType": "string",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {},
        "branchCount": 0,
        "platform": [],
        "codes": {
            "arduinoc": {
                "code": `arbot_metin_degisken`
            }
        },
        "handler": this.funcs.BLOCK_1647977611098
    }
]);

export default blocks;