const blocks = (extFacePanels) => ([{
        "opcode": "BLOCK_1635511907859",
        "blockType": "command",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {
            "motorYon": {
                "type": "fieldMenu",
                "defaultValue": "1",
                "menu": "BLOCK_1635511907859_MOTORYON"
            },
            "motorGuc": {
                "type": "number",
                "defaultValue": 50
            }
        },
        "branchCount": 0,
        "platform": [
            "mblockpc",
            "mblockweb"
        ],
        "codes": {
            "arduinoc": {
                "code": `motorHareket2(/*{motorYon}*/,/*{motorGuc}*/);`,
                "sections": {
                    "declare": `void motorKurulum2(){motorAnahtar=1;pinMode(arbotMotor[0][0], OUTPUT);pinMode(arbotMotor[0][1], OUTPUT);pinMode(arbotMotor[0][2], OUTPUT);pinMode(arbotMotor[1][0], OUTPUT);pinMode(arbotMotor[1][1], OUTPUT);pinMode(arbotMotor[1][2], OUTPUT);}void motorHareket2(int yon, int hiz){if(motorAnahtar==0){motorKurulum2();} hiz=map(hiz, 0, 100, 0, 255);analogWrite(arbotMotor[0][0],hiz); analogWrite(arbotMotor[1][0],hiz);if(yon==1){ digitalWrite(arbotMotor[0][1], 1); digitalWrite(arbotMotor[0][2], 0); digitalWrite(arbotMotor[1][1], 1); digitalWrite(arbotMotor[1][2], 0);}else if(yon==2){digitalWrite(arbotMotor[0][1], 0); digitalWrite(arbotMotor[0][2], 1); digitalWrite(arbotMotor[1][1], 0); digitalWrite(arbotMotor[1][2], 1);}else if(yon==3){digitalWrite(arbotMotor[0][1], 0); digitalWrite(arbotMotor[0][2], 1); digitalWrite(arbotMotor[1][1], 1); digitalWrite(arbotMotor[1][2], 0); analogWrite(arbotMotor[0][0],0);}\telse if(yon==4){digitalWrite(arbotMotor[0][1], 1); digitalWrite(arbotMotor[0][2], 0); digitalWrite(arbotMotor[1][1], 0); digitalWrite(arbotMotor[1][2], 1);analogWrite(arbotMotor[1][0],0);}}`
                }
            }
        },
        "handler": this.funcs.BLOCK_1635511907859
    },
    {
        "opcode": "BLOCK_1635538204603",
        "blockType": "command",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {},
        "branchCount": 0,
        "platform": [
            "mblockpc",
            "mblockweb"
        ],
        "codes": {
            "arduinoc": {
                "code": `motorHareket2(1,0);\r`
            }
        },
        "handler": this.funcs.BLOCK_1635538204603
    },
    {
        "opcode": "BLOCK_1635639695559",
        "blockType": "command",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {
            "kapi": {
                "type": "fieldMenu",
                "defaultValue": "3",
                "menu": "BLOCK_1635639695559_KAPI"
            },
            "hiz1": {
                "type": "number",
                "defaultValue": 80
            },
            "hiz2": {
                "type": "number",
                "defaultValue": 60
            }
        },
        "branchCount": 0,
        "platform": [
            "mblockpc",
            "mblockweb"
        ],
        "codes": {
            "arduinoc": {
                "sections": {
                    "declare": `int getCizgiIzleyen(int kapi){delayMicroseconds(50);int a0=analogRead(arbotPort[/*{kapi}*/][0]);int a1=analogRead(arbotPort[/*{kapi}*/][1]);int durum=0;if(a0>=980)a0=1; else a0=0;if((a1)>=980) a1=1; else a1=0;if(a0==0 && a1==0) durum=0;else if(a0==0 && a1==1) durum=1;else if(a0==1 && a1==0) durum=2; else if(a0==1 && a1==1) durum=3;return durum;delay(50);} void motorKurulum(){motorAnahtar=1;pinMode(arbotMotor[0][0], OUTPUT);pinMode(arbotMotor[0][1], OUTPUT);pinMode(arbotMotor[0][2], OUTPUT);pinMode(arbotMotor[1][0], OUTPUT);pinMode(arbotMotor[1][1], OUTPUT);pinMode(arbotMotor[1][2], OUTPUT);} void motorHareket2(int yon, int hiz){if(motorAnahtar==0){motorKurulum();} hiz=map(hiz, 0, 100, 0, 255);analogWrite(arbotMotor[0][0],hiz); analogWrite(arbotMotor[1][0],hiz); if(yon==1){ digitalWrite(arbotMotor[0][1], 1); digitalWrite(arbotMotor[0][2], 0); digitalWrite(arbotMotor[1][1], 1); digitalWrite(arbotMotor[1][2], 0);}else if(yon==2){digitalWrite(arbotMotor[0][1], 0); digitalWrite(arbotMotor[0][2], 1); digitalWrite(arbotMotor[1][1], 0); digitalWrite(arbotMotor[1][2], 1);}else if(yon==3){digitalWrite(arbotMotor[0][1], 0); digitalWrite(arbotMotor[0][2], 1); digitalWrite(arbotMotor[1][1], 1); digitalWrite(arbotMotor[1][2], 0);analogWrite(arbotMotor[0][0],0);} else if(yon==4){digitalWrite(arbotMotor[0][1], 1); digitalWrite(arbotMotor[0][2], 0); digitalWrite(arbotMotor[1][1], 0); digitalWrite(arbotMotor[1][2], 1);analogWrite(arbotMotor[1][0],0);}}`,
                    "_loop": `if(((getCizgiIzleyen(arbotPort[/*{kapi}*/][0]))==(0))){motorHareket2(1, /*{hiz1}*/);}else{if(((getCizgiIzleyen(arbotPort[/*{kapi}*/][0]))==(1))){motorHareket2(3, /*{hiz2}*/);}else{if(((getCizgiIzleyen(arbotPort[/*{kapi}*/][0]))==(2))){motorHareket2(4, /*{hiz2}*/);}else{}}}`
                }
            }
        },
        "handler": this.funcs.BLOCK_1635639695559
    }
]);

export default blocks;